## mrboom 5.1

=== debian/changelog ===
mrboom (5.1-1) unstable; urgency=medium

  * New upstream version.
  * d/README.source: dropped as upstream fixed.
  * Bump standards version to 4.5.0.
  * Bump debhelper version to 13, drop d/compat.
  * d/upstream/metadata: added.
  * d/control:
    - added Rules-Requires-Root.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
  * d/patches: dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 08 Dec 2020 08:44:29 +0100
