=== debian/changelog ===
mrboom (5.2+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/watch:
    - drop template part.
    - added filemangle for repacking.
  * d/copyright:
    - updated match.
    - added Files-Excluded field.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 30 Dec 2020 23:05:22 +0100
