=== debian/changelog ===
mrboom (5.2+ds-2) unstable; urgency=medium

  * d/control: fix build-depends. (Closes: #1015090)
  * Update maintainer address.
  * Bump standards version to 4.6.1.

 -- Gürkan Myczko <tar@debian.org>  Tue, 16 Aug 2022 13:45:34 +0200
