## mrboom 5.4+ds

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 DATADIR        ?= share
 LIBRETRO_DIR   ?= libretro
 WANT_BPP       := 32
+#DEBUG := 1
 
 MANDIR := man/man6
 CFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CFLAGS))
@@ -48,6 +49,13 @@
    system_platform = win
 else ifneq ($(findstring Darwin,$(shell uname -a)),)
    system_platform = osx
+   arch = intel
+   ifeq ($(shell uname -p),powerpc)
+	arch = ppc
+   endif
+   ifeq ($(shell uname -p),arm)
+	arch = arm
+   endif
 else ifneq ($(findstring FreeBSD,$(shell uname -o)),)
    system_platform = freebsd
 else ifneq ($(findstring Haiku,$(shell uname -o)),)
@@ -58,28 +66,10 @@
 
 TARGET_NAME := mrboom
 
-ifeq ($(ARCHFLAGS),)
-   ifeq ($(archs),ppc)
-      ARCHFLAGS = -arch ppc -arch ppc64
-   else
-      ARCHFLAGS = -arch i386 -arch x86_64
-   endif
-endif
 
 ifneq ($(SANITIZER),)
    CFLAGS   := -fsanitize=$(SANITIZER) $(CFLAGS)
    LDFLAGS  := -fsanitize=$(SANITIZER) $(LDFLAGS)
-endif
-
-ifeq ($(platform), osx)
-   ifndef ($(NOUNIVERSAL))
-      CFLAGS += $(ARCHFLAGS)
-      LFLAGS += $(ARCHFLAGS)
-      ifneq ($(LIBSDL2),)
-         CFLAGS += $(shell sdl2-config --cflags)
-         LDFLAGS += $(shell sdl2-config --libs)
-      endif
-   endif
 endif
 
 ifeq ($(platform), unix)
@@ -119,11 +109,40 @@
    PREFIX := /usr/local
    MANDIR := share/man/man6
 
+   ifeq ($(UNIVERSAL),1)
+   ifeq ($(archs),ppc)
+      ARCHFLAGS = -arch ppc -arch ppc64
+   else ifeq ($(archs),arm64)
+      ARCHFLAGS = -arch arm64 -arch x86_64
+   else
+      ARCHFLAGS = -arch i386 -arch x86_64
+   endif
+      CFLAGS += $(ARCHFLAGS)
+      LFLAGS += $(ARCHFLAGS)
+      ifneq ($(LIBSDL2),)
+         CFLAGS += $(shell sdl2-config --cflags)
+         LDFLAGS += $(shell sdl2-config --libs)
+      endif
+   endif
+
+
+   ifeq ($(CROSS_COMPILE),1)
+		TARGET_RULE   = -target $(LIBRETRO_APPLE_PLATFORM) -isysroot $(LIBRETRO_APPLE_ISYSROOT)
+		CFLAGS   += $(TARGET_RULE)
+		CPPFLAGS += $(TARGET_RULE)
+		CXXFLAGS += $(TARGET_RULE)
+		LDFLAGS  += $(TARGET_RULE)
+   endif
+   CFLAGS  += $(ARCHFLAGS)
+   CXXFLAGS  += $(ARCHFLAGS)
+   LDFLAGS += $(ARCHFLAGS)
+
 # iOS
 else ifneq (,$(findstring ios,$(platform)))
    TARGET := $(TARGET_NAME)_libretro_ios.dylib
    fpic := -fPIC
    SHARED := -dynamiclib
+   MINVERSION :=
    ifeq ($(IOSSDK),)
       IOSSDK := $(shell xcodebuild -version -sdk iphoneos Path)
    endif
@@ -136,12 +155,11 @@
       CXX = c++ -arch armv7 -isysroot $(IOSSDK)
    endif
    ifeq ($(platform),$(filter $(platform),ios9 ios-arm64))
-      CC     += -miphoneos-version-min=8.0
-      CFLAGS += -miphoneos-version-min=8.0 -DDONT_WANT_ARM_OPTIMIZATIONS
+      MINVERSION = -miphoneos-version-min=8.0
    else
-      CC     += -miphoneos-version-min=5.0
-      CFLAGS += -miphoneos-version-min=5.0 -DIOS -DDONT_WANT_ARM_OPTIMIZATIONS
-   endif
+      MINVERSION = -miphoneos-version-min=5.0
+   endif
+   CFLAGS += $(MINVERSION) -DIOS
 
 # tvOS
 else ifeq ($(platform), tvos-arm64)
@@ -149,7 +167,6 @@
    fpic := -fPIC
    SHARED := -dynamiclib
    DEFINES := -DIOS
-   CFLAGS += -DDONT_WANT_ARM_OPTIMIZATIONS
    ifeq ($(IOSSDK),)
       IOSSDK := $(shell xcodebuild -version -sdk appletvos Path)
    endif
@@ -171,8 +188,20 @@
    TARGET := $(TARGET_NAME)_libretro_emscripten.bc
    fpic := -fPIC
    SHARED := -shared
+   AR=emar
    STATIC_LINKING := 1
    CFLAGS += -DNO_NETWORK
+
+# PS2
+else ifeq ($(platform), ps2)
+   TARGET := $(TARGET_NAME)_libretro_$(platform).a
+   CC = mips64r5900el-ps2-elf-gcc
+   CXX = mips64r5900el-ps2-elf-c++
+   AR = mips64r5900el-ps2-elf-ar
+   CFLAGS += $(DEFINES) -DPS2 -Wall -G0 -DNO_NETWORK -DABGR1555
+	CXXFLAGS += $(CFLAGS)
+	STATIC_LINKING = 1
+   WANT_BPP := 16
 
 # PSP
 else ifeq ($(platform), psp1)
@@ -227,6 +256,17 @@
    fpic := -fPIC
    SHARED := -shared -Wl,--no-undefined -Wl,-version-script=$(CORE_DIR)/link.T
    FLAGS += -DDINGUX -fomit-frame-pointer -ffast-math -march=mips32 -mtune=mips32r2 -mhard-float
+   WANT_BPP := 16
+
+# Miyoo
+else ifeq ($(platform), miyoo)
+   TARGET := $(TARGET_NAME)_libretro.so
+   CC = /opt/miyoo/usr/bin/arm-linux-gcc
+   CXX = /opt/miyoo/usr/bin/arm-linux-g++
+   AR = /opt/miyoo/usr/bin/arm-linux-ar
+   fpic := -fPIC
+   SHARED := -shared -Wl,--no-undefined -Wl,-version-script=$(CORE_DIR)/link.T
+   FLAGS += -fomit-frame-pointer -ffast-math -mcpu=arm926ej-s
    WANT_BPP := 16
 
 # Nintendo Switch (libnx)
@@ -335,39 +375,9 @@
    export INCLUDE := $(XDK)/xbox/include
    export LIB := $(XDK)/xbox/lib
    PATH := $(call unixcygpath,$(XDK)/xbox/bin/vc71):$(PATH)
-   PSS_STYLE :=2
    CFLAGS   += -D_XBOX -D_XBOX1 -DNOMINMAX
    STATIC_LINKING=1
    HAS_GCC := 0
 
 # Windows MSVC 2010 Xbox 360
 else ifeq ($(platform), xbox360_msvc2010)
-   TARGET := $(TARGET_NAME)_libretro_xdk360.lib
-   MSVCBINDIRPREFIX = $(XEDK)/bin/win32
-   CC   = "$(MSVCBINDIRPREFIX)/cl.exe"
-   CXX  = "$(MSVCBINDIRPREFIX)/cl.exe"
-   LD   = "$(MSVCBINDIRPREFIX)/lib.exe"
-
-   export INCLUDE := $(XEDK)/include/xbox
-   export LIB := $(XEDK)/lib/xbox
-   PSS_STYLE :=2
-   CFLAGS   += -D_XBOX -D_XBOX1 -DNOMINMAX
-   STATIC_LINKING=1
-   HAS_GCC := 0
-
-# Windows MSVC 2003 x86
-else ifeq ($(platform), windows_msvc2003_x86)
-   CC  = cl.exe
-   CXX = cl.exe
-   LD  = link.exe
-
-   CFLAGS += -DNOMINMAX
-   PATH := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/bin"):$(PATH)
-   PATH := $(PATH):$(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../IDE")
-   INCLUDE := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/include")
-   LIB := $(shell IFS=$$'\n'; cygpath -w "$(VS71COMNTOOLS)../../Vc7/lib")
-   BIN := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/bin")
-
-   WindowsSdkDir := $(INETSDK)
-
-   export INCLUDE := $(INCLUDE);$(INETSDK)/Include;src/drivers/libretro/msvc/msvc-2005
