=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mrboom
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-mixer-dev,
  libminizip-dev, libmodplug-dev
