## mrboom 5.5+ds

=== Makefile ===
--- 
+++ 
@@ -3,13 +3,19 @@
 INSTALL        := install
 RM             := rm
 STRIP          := strip
-GIT_VERSION    := " $(shell git rev-parse --short HEAD)"
 BINDIR         ?= bin
 LIBDIR         ?= lib
 DATADIR        ?= share
 LIBRETRO_DIR   ?= libretro
 WANT_BPP       := 32
 #DEBUG := 1
+
+ifneq ($(SKIP_GIT),1)
+GIT_VERSION := " $(shell git rev-parse --short HEAD)"
+else 
+GIT_VERSION := " "
+endif
+
 
 MANDIR := man/man6
 CFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CFLAGS))
@@ -58,6 +64,7 @@
    endif
 else ifneq ($(findstring FreeBSD,$(shell uname -o)),)
    system_platform = freebsd
+   MANDIR = share/man/man6
 else ifneq ($(findstring Haiku,$(shell uname -o)),)
    system_platform = haiku
 else ifneq ($(findstring MINGW,$(shell uname -a)),)
@@ -379,5 +386,3 @@
    STATIC_LINKING=1
    HAS_GCC := 0
 
-# Windows MSVC 2010 Xbox 360
-else ifeq ($(platform), xbox360_msvc2010)
