=== debian/changelog ===
mrboom (5.5+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.0.
  * d/copyright: updated.
  * d/rules: disable dh_dwz, it is failing.

 -- Alex Myczko <tar@debian.org>  Sun, 19 May 2024 09:47:27 +0000
