=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: mrboom
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-mixer-dev,
  libminizip-dev, libmodplug-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/games-team/mrboom.git
 Vcs-Browser: https://salsa.debian.org/games-team/mrboom
