=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,8 @@
 override_dh_auto_test:
 	@echo skipping test
 
+override_dh_dwz:
+	@echo dwz failing
+
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr MANDIR=share/man/man6 BINDIR=games STRIP=:
